Créez une collection de tests pour un parcours DEM

POST https://api.ap1.datadoghq.com/api/v2/dem/journeys/{public_journey_id}/suitehttps://api.ap2.datadoghq.com/api/v2/dem/journeys/{public_journey_id}/suitehttps://api.datadoghq.eu/api/v2/dem/journeys/{public_journey_id}/suitehttps://api.ddog-gov.com/api/v2/dem/journeys/{public_journey_id}/suitehttps://api.us2.ddog-gov.com/api/v2/dem/journeys/{public_journey_id}/suitehttps://api.uk1.datadoghq.com/api/v2/dem/journeys/{public_journey_id}/suitehttps://api.datadoghq.com/api/v2/dem/journeys/{public_journey_id}/suitehttps://api.us3.datadoghq.com/api/v2/dem/journeys/{public_journey_id}/suitehttps://api.us5.datadoghq.com/api/v2/dem/journeys/{public_journey_id}/suite

Présentation

Trigger test suite creation for a given DEM journey. This endpoint requires the synthetics_write permission.

Arguments

Paramètres du chemin

Name

Type

Description

public_journey_id [required]

string

The public identifier of the DEM journey for which to create a test suite.

Requête

Body Data (required)

Expand All

Champ

Type

Description

data [required]

object

Data object for a create test suite request.

attributes

object

Attributes for creating a test suite for a DEM journey.

include_tests_from_journey_coverage

boolean

Whether to populate the test suite based on journey coverage data.

test_suite_name

string

An optional custom name for the auto-created test suite.

type [required]

enum

The resource type for a request to create a DEM journey test suite. Allowed enum values: create_test_suite_for_journey_request

{
  "data": {
    "attributes": {
      "include_tests_from_journey_coverage": true,
      "test_suite_name": "My Custom Suite"
    },
    "type": "create_test_suite_for_journey_request"
  }
}

Réponse

Created

Response body for a DEM journey test suite.

Expand All

Champ

Type

Description

data [required]

object

Data object in a DEM test suite response.

attributes [required]

object

Attributes of a DEM journey test suite response.

created_at [required]

date-time

The timestamp when the test suite was created.

dropped_test_ids

[string]

Test IDs omitted because the caller lacks read access.

name [required]

string

The name of the test suite.

id [required]

string

The public ID of the test suite.

type [required]

enum

The type identifier for DEM journey test suites. Allowed enum values: journey_test_suite

{
  "data": {
    "attributes": {
      "created_at": "2024-01-15T10:30:00Z",
      "dropped_test_ids": [],
      "name": "Checkout Flow Suite"
    },
    "id": "suite-abc123",
    "type": "journey_test_suite"
  }
}

Not Found

API error response.

Expand All

Champ

Type

Description

errors [required]

[object]

A list of errors.

detail

string

A human-readable explanation specific to this occurrence of the error.

meta

object

Non-standard meta-information about the error

source

object

References to the source of the error.

header

string

A string indicating the name of a single request header which caused the error.

parameter

string

A string indicating which URI query parameter caused the error.

pointer

string

A JSON pointer to the value in the request document that caused the error.

status

string

Status code of the response.

title

string

Short human-readable summary of the error.

{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}

Too many requests

API error response.

Expand All

Champ

Type

Description

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

Exemple de code

                  ## default
# 

# Path parameters
export public_journey_id="journey-abc123"
# Use a Personal Access Token or Service Access Token
export DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>"

# Curl command
curl -X POST "https://api.ap1.datadoghq.com"https://api.ap2.datadoghq.com"https://api.datadoghq.eu"https://api.ddog-gov.com"https://api.us2.ddog-gov.com"https://api.uk1.datadoghq.com"https://api.datadoghq.com"https://api.us3.datadoghq.com"https://api.us5.datadoghq.com/api/v2/dem/journeys/${public_journey_id}/suite" \ -H "Accept: application/json" \ -H "Content-Type: application/json" \ -H "Authorization: Bearer ${DD_BEARER_TOKEN}" \ -d @- << EOF { "data": { "attributes": { "include_tests_from_journey_coverage": true, "test_suite_name": "Checkout Flow Suite" }, "type": "create_test_suite_for_journey_request" } } EOF
"""
Create a test suite for a DEM journey returns "Created" response
"""

from os import environ
from datadog_api_client import ApiClient, Configuration
from datadog_api_client.v2.api.dem_api import DEMApi
from datadog_api_client.v2.model.dem_create_journey_test_suite_attributes import DemCreateJourneyTestSuiteAttributes
from datadog_api_client.v2.model.dem_create_journey_test_suite_data import DemCreateJourneyTestSuiteData
from datadog_api_client.v2.model.dem_create_journey_test_suite_request import DemCreateJourneyTestSuiteRequest
from datadog_api_client.v2.model.dem_create_journey_test_suite_request_type import DemCreateJourneyTestSuiteRequestType

body = DemCreateJourneyTestSuiteRequest(
    data=DemCreateJourneyTestSuiteData(
        attributes=DemCreateJourneyTestSuiteAttributes(
            include_tests_from_journey_coverage=True,
            test_suite_name="My Custom Suite",
        ),
        type=DemCreateJourneyTestSuiteRequestType.CREATE_TEST_SUITE_FOR_JOURNEY_REQUEST,
    ),
)

configuration = Configuration()
configuration.access_token = environ["DD_BEARER_TOKEN"]
with ApiClient(configuration) as api_client:
    api_instance = DEMApi(api_client)
    response = api_instance.create_test_suite_for_journey(public_journey_id="public_journey_id", body=body)

    print(response)

Instructions

First install the library and its dependencies and then save the example to example.py and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>" python3 "example.py"
# Create a test suite for a DEM journey returns "Created" response

require "datadog_api_client"
DatadogAPIClient.configure do |config|
  config.access_token = ENV["DD_BEARER_TOKEN"]
end
api_instance = DatadogAPIClient::V2::DEMAPI.new

body = DatadogAPIClient::V2::DemCreateJourneyTestSuiteRequest.new({
  data: DatadogAPIClient::V2::DemCreateJourneyTestSuiteData.new({
    attributes: DatadogAPIClient::V2::DemCreateJourneyTestSuiteAttributes.new({
      include_tests_from_journey_coverage: true,
      test_suite_name: "My Custom Suite",
    }),
    type: DatadogAPIClient::V2::DemCreateJourneyTestSuiteRequestType::CREATE_TEST_SUITE_FOR_JOURNEY_REQUEST,
  }),
})
p api_instance.create_test_suite_for_journey("public_journey_id", body)

Instructions

First install the library and its dependencies and then save the example to example.rb and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>" rb "example.rb"
// Create a test suite for a DEM journey returns "Created" response

package main

import (
	"context"
	"encoding/json"
	"fmt"
	"os"

	"github.com/DataDog/datadog-api-client-go/v2/api/datadog"
	"github.com/DataDog/datadog-api-client-go/v2/api/datadogV2"
)

func main() {
	body := datadogV2.DemCreateJourneyTestSuiteRequest{
		Data: datadogV2.DemCreateJourneyTestSuiteData{
			Attributes: &datadogV2.DemCreateJourneyTestSuiteAttributes{
				IncludeTestsFromJourneyCoverage: *datadog.NewNullableBool(datadog.PtrBool(true)),
				TestSuiteName:                   *datadog.NewNullableString(datadog.PtrString("My Custom Suite")),
			},
			Type: datadogV2.DEMCREATEJOURNEYTESTSUITEREQUESTTYPE_CREATE_TEST_SUITE_FOR_JOURNEY_REQUEST,
		},
	}
	ctx := datadog.NewDefaultContext(context.Background())
	ctx = context.WithValue(ctx, datadog.ContextAccessToken, os.Getenv("DD_BEARER_TOKEN"))
	configuration := datadog.NewConfiguration()
	apiClient := datadog.NewAPIClient(configuration)
	api := datadogV2.NewDEMApi(apiClient)
	resp, r, err := api.CreateTestSuiteForJourney(ctx, "public_journey_id", body)

	if err != nil {
		fmt.Fprintf(os.Stderr, "Error when calling `DEMApi.CreateTestSuiteForJourney`: %v\n", err)
		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
	}

	responseContent, _ := json.MarshalIndent(resp, "", "  ")
	fmt.Fprintf(os.Stdout, "Response from `DEMApi.CreateTestSuiteForJourney`:\n%s\n", responseContent)
}

Instructions

First install the library and its dependencies and then save the example to main.go and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>" go run "main.go"
// Create a test suite for a DEM journey returns "Created" response

import com.datadog.api.client.ApiClient;
import com.datadog.api.client.ApiException;
import com.datadog.api.client.v2.api.DemApi;
import com.datadog.api.client.v2.model.DemCreateJourneyTestSuiteAttributes;
import com.datadog.api.client.v2.model.DemCreateJourneyTestSuiteData;
import com.datadog.api.client.v2.model.DemCreateJourneyTestSuiteRequest;
import com.datadog.api.client.v2.model.DemCreateJourneyTestSuiteRequestType;
import com.datadog.api.client.v2.model.DemJourneyTestSuiteResponse;

public class Example {
  public static void main(String[] args) {
    ApiClient defaultClient = ApiClient.getDefaultApiClient();
    defaultClient.setAccessToken(System.getenv("DD_BEARER_TOKEN"));
    DemApi apiInstance = new DemApi(defaultClient);

    DemCreateJourneyTestSuiteRequest body =
        new DemCreateJourneyTestSuiteRequest()
            .data(
                new DemCreateJourneyTestSuiteData()
                    .attributes(
                        new DemCreateJourneyTestSuiteAttributes()
                            .includeTestsFromJourneyCoverage(true)
                            .testSuiteName("My Custom Suite"))
                    .type(
                        DemCreateJourneyTestSuiteRequestType
                            .CREATE_TEST_SUITE_FOR_JOURNEY_REQUEST));

    try {
      DemJourneyTestSuiteResponse result =
          apiInstance.createTestSuiteForJourney("journey-abc123", body);
      System.out.println(result);
    } catch (ApiException e) {
      System.err.println("Exception when calling DemApi#createTestSuiteForJourney");
      System.err.println("Status code: " + e.getCode());
      System.err.println("Reason: " + e.getResponseBody());
      System.err.println("Response headers: " + e.getResponseHeaders());
      e.printStackTrace();
    }
  }
}

Instructions

First install the library and its dependencies and then save the example to Example.java and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>" java "Example.java"
// Create a test suite for a DEM journey returns "Created" response
use datadog_api_client::datadog;
use datadog_api_client::datadogV2::api_dem::DEMAPI;
use datadog_api_client::datadogV2::model::DemCreateJourneyTestSuiteAttributes;
use datadog_api_client::datadogV2::model::DemCreateJourneyTestSuiteData;
use datadog_api_client::datadogV2::model::DemCreateJourneyTestSuiteRequest;
use datadog_api_client::datadogV2::model::DemCreateJourneyTestSuiteRequestType;

#[tokio::main]
async fn main() {
    let body = DemCreateJourneyTestSuiteRequest::new(
        DemCreateJourneyTestSuiteData::new(
            DemCreateJourneyTestSuiteRequestType::CREATE_TEST_SUITE_FOR_JOURNEY_REQUEST,
        )
        .attributes(
            DemCreateJourneyTestSuiteAttributes::new()
                .include_tests_from_journey_coverage(Some(true))
                .test_suite_name(Some("My Custom Suite".to_string())),
        ),
    );
    let configuration = datadog::Configuration::new();
    let api = DEMAPI::with_config(configuration);
    let resp = api
        .create_test_suite_for_journey("public_journey_id".to_string(), body)
        .await;
    if let Ok(value) = resp {
        println!("{:#?}", value);
    } else {
        println!("{:#?}", resp.unwrap_err());
    }
}

Instructions

First install the library and its dependencies and then save the example to src/main.rs and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" cargo run
/**
 * Create a test suite for a DEM journey returns "Created" response
 */

import { client, v2 } from "@datadog/datadog-api-client";

const configuration = client.createConfiguration({
  authMethods: {
    AuthZ: {
      accessToken: process.env.DD_BEARER_TOKEN as string,
    },
  },
});
const apiInstance = new v2.DEMApi(configuration);

const params: v2.DEMApiCreateTestSuiteForJourneyRequest = {
  body: {
    data: {
      attributes: {
        includeTestsFromJourneyCoverage: true,
        testSuiteName: "My Custom Suite",
      },
      type: "create_test_suite_for_journey_request",
    },
  },
  publicJourneyId: "public_journey_id",
};

apiInstance
  .createTestSuiteForJourney(params)
  .then((data: v2.DemJourneyTestSuiteResponse) => {
    console.log(
      "API called successfully. Returned data: " + JSON.stringify(data)
    );
  })
  .catch((error: any) => console.error(error));

Instructions

First install the library and its dependencies and then save the example to example.ts and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>" tsc "example.ts"